# TTTT Analysis: fv::Container< H > Class Template Reference

fv::Container< H > Class Template Reference
Inheritance diagram for fv::Container< H >:
[legend]
Collaboration diagram for fv::Container< H >:
[legend]

## Public Member Functions

| Container (const std::string &name, H *container)
virtual H * | get_container ()
Public Member Functions inherited from fv::GenContainer
| GenContainer (const std::string name, const std::string &desc)
| GenContainer (const std::string name)
void | add_filter (GenValue *filter)
void | fill ()
void | set_description (const std::string &description)
const std::string & | get_name ()
virtual void | save_as (const std::string &fname, const SaveOption &option)=0
virtual void | save (const SaveOption &option=SaveOption::PNG)

## Protected Attributes

H * | container

## Additional Inherited Members

Protected Member Functions inherited from fv::GenContainer
virtual void | _fill ()=0

The documentation for this class was generated from the following file:

- /home/caleb/Sources/TTTT/filval/container.hpp